Configure customer sign-in
Creates or updates the OAuth client for the origin and returns its sign-in mode, public CAPTCHA and OAuth details.
Query Parameters
storeId*string
origin*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://auth.ecomiq.pe/v1/customer-auth/config?storeId=7204558912004327977&origin=Andrea+Ramos"{ "authority": "Andrea Ramos", "clientId": "app_replace_with_your_client_id", "authorizationEndpoint": "Andrea Ramos", "tokenEndpoint": "replace_with_the_issued_token", "revocationEndpoint": "Andrea Ramos", "scope": "AllProducts", "redirectUri": "https://erp.example.com/webhooks/ecomiq", "loginMode": "hosted"}